<%@ Page Language="C#" AutoEventWireup="true" Inherits="ui.page.sitemap" ValidateRequest="false" %>
<%@ Import namespace="System.Collections.Generic" %>
<%@ Import namespace="System.Text" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="Common" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by WJDHcms Template Engine at 2019/5/22 17:04:20.
		本页面代码由XPMOF模板引擎生成于 2019/5/22 17:04:20. 
	*/

	base.OnInit(e);
	StringBuilder templateBuilder = new StringBuilder(220000);

	templateBuilder.Append("<div class=\"side-bar pull-left\">\r\n\r\n\r\n  <div class=\"side-bar-tit\">\r\n\r\n\r\n    ");
	DataTable pro = get_category_info(topid);

	int dr__loop__id=0;
	foreach(DataRow dr in pro.Rows)
	{
		dr__loop__id++;


	templateBuilder.Append("\r\n\r\n\r\n    <h2> <i></i>" + Utils.ObjectToStr(dr["catname"]) + "</h2>\r\n\r\n\r\n    <span>" + Utils.ObjectToStr(dr["enname"]) + "</span>\r\n\r\n\r\n    ");
	}	//end for if

	templateBuilder.Append("\r\n\r\n\r\n  </div>\r\n\r\n\r\n  ");
	DataTable categoryList = get_category_list(topid);

	foreach(DataRow cdr in categoryList.Rows)
	{

	templateBuilder.Append("\r\n\r\n\r\n  <dl>\r\n\r\n\r\n    <dt><i></i><a href=\"");
	templateBuilder.Append(linkurl(1,Utils.ObjectToStr(cdr["id"])));

	templateBuilder.Append("\" title=\"" + Utils.ObjectToStr(cdr["catname"]) + "\">" + Utils.ObjectToStr(cdr["catname"]) + "</a></dt>\r\n\r\n\r\n    ");
	DataTable prolisttt = get_content_list(Utils.StrToInt(Utils.ObjectToStr(cdr["id"]), 0),4,"","listorder desc,id desc");

	foreach(DataRow dr in prolisttt.Rows)
	{

	templateBuilder.Append("\r\n\r\n\r\n    <dd class=\"wjdh-menu-" + Utils.ObjectToStr(dr["id"]) + "\"> <i></i><a href=\"");
	templateBuilder.Append(linkurl(1,Utils.ObjectToStr(dr["catid"]),Utils.ObjectToStr(dr["id"])));

	templateBuilder.Append("\" title=\"" + Utils.ObjectToStr(dr["title"]) + "\">" + Utils.ObjectToStr(dr["title"]) + "</a></dd>\r\n\r\n\r\n    ");
	}	//end for if

	templateBuilder.Append("\r\n\r\n\r\n  </dl>\r\n\r\n\r\n  ");
	}	//end for if

	templateBuilder.Append("\r\n\r\n\r\n  <script>\r\n\r\n\r\n\r\n\r\n\r\n                $(\".wjdh-menu-");
	templateBuilder.Append(Utils.ObjectToStr(catid));
	templateBuilder.Append("\").addClass(\"cur\");\r\n\r\n\r\n\r\n\r\n\r\n        </");
	templateBuilder.Append("script>\r\n\r\n\r\n</div>\r\n\r\n\r\n");
	Response.Write(templateBuilder.ToString());
}
</script>
